Extending Qt Creator Manual | KitChooser

Extending Qt Creator Manual 4.5.2

# KitChooser Class

(ProjectExplorer::KitChooser)

- List of all members, including inherited members

## Public Functions

| KitChooser(QWidget *parent = nullptr)
Kit * | currentKit() const
Core::Id | currentKitId() const
void | setCurrentKitId(Core::Id id)
void | setKitPredicate(const Kit::Predicate &predicate)

## Public Slots

void | populate()

## Signals

void | activated(int)
void | currentIndexChanged(int)

## Protected Functions

virtual QString | kitText(const Kit *k) const
virtual QString | kitToolTip(Kit *k) const

## Member Function Documentation

### KitChooser::KitChooser(QWidget *parent = nullptr)

Default constructs an instance of KitChooser.

### `[signal]` void KitChooser::activated(int)

### `[signal]` void KitChooser::currentIndexChanged(int)

### Kit *KitChooser::currentKit() const

### Core::Id KitChooser::currentKitId() const

See also setCurrentKitId().

### `[virtual protected]` QString KitChooser::kitText(const Kit *k) const

### `[virtual protected]` QString KitChooser::kitToolTip(Kit *k) const

### `[slot]` void KitChooser::populate()

### void KitChooser::setCurrentKitId(Core::Id id)

See also currentKitId().

### void KitChooser::setKitPredicate(const Kit::Predicate &predicate)